/// @cond EO_CXX_EO_IMPL

inline ::elm::widget_item elm::diskselector::item_append(::efl::eina::string_view label_, ::evas::object icon_, Evas_Smart_Cb func_, const void * data_) const
{
   Elm_Widget_Item * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_diskselector_item_append(::efl::eolian::to_c(label_), ::efl::eolian::to_c(icon_), func_, data_));
   return ::efl::eolian::to_cxx<::elm::widget_item>(_tmp_ret, std::tuple<std::false_type>());
}

inline void elm::diskselector::clear() const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_diskselector_clear());
}

inline int elm::diskselector::side_text_max_length_get() const
{
   int _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_diskselector_side_text_max_length_get());
   return _tmp_ret;
}

inline void elm::diskselector::side_text_max_length_set(int len_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_diskselector_side_text_max_length_set(len_));
}

inline bool elm::diskselector::round_enabled_get() const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_diskselector_round_enabled_get());
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline void elm::diskselector::round_enabled_set(bool enabled_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_diskselector_round_enabled_set(::efl::eolian::to_c(enabled_)));
}

inline int elm::diskselector::display_item_num_get() const
{
   int _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_diskselector_display_item_num_get());
   return _tmp_ret;
}

inline void elm::diskselector::display_item_num_set(int num_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_diskselector_display_item_num_set(num_));
}

inline ::elm::widget_item elm::diskselector::first_item_get() const
{
   Elm_Widget_Item * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_diskselector_first_item_get());
   return ::efl::eolian::to_cxx<::elm::widget_item>(_tmp_ret, std::tuple<std::false_type>());
}

inline ::efl::eina::crange_list< Elm_Object_Item * > elm::diskselector::items_get() const
{
   const Eina_List * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_diskselector_items_get());
   return ::efl::eolian::to_cxx<::efl::eina::crange_list< Elm_Object_Item * >>(_tmp_ret, std::tuple<std::false_type, std::false_type>());
}

inline ::elm::widget_item elm::diskselector::last_item_get() const
{
   Elm_Widget_Item * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_diskselector_last_item_get());
   return ::efl::eolian::to_cxx<::elm::widget_item>(_tmp_ret, std::tuple<std::false_type>());
}

inline ::elm::widget_item elm::diskselector::selected_item_get() const
{
   Elm_Widget_Item * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_diskselector_selected_item_get());
   return ::efl::eolian::to_cxx<::elm::widget_item>(_tmp_ret, std::tuple<std::false_type>());
}

inline ::elm::widget_item eo_cxx::elm::diskselector::item_append(::efl::eina::string_view label_, ::evas::object icon_, Evas_Smart_Cb func_, const void * data_) const
{
   Elm_Widget_Item * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_diskselector_item_append(::efl::eolian::to_c(label_), ::efl::eolian::to_c(icon_), func_, data_));
   return ::efl::eolian::to_cxx<::elm::widget_item>(_tmp_ret, std::tuple<std::false_type>());
}

inline void eo_cxx::elm::diskselector::clear() const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_diskselector_clear());
}

inline int eo_cxx::elm::diskselector::side_text_max_length_get() const
{
   int _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_diskselector_side_text_max_length_get());
   return _tmp_ret;
}

inline void eo_cxx::elm::diskselector::side_text_max_length_set(int len_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_diskselector_side_text_max_length_set(len_));
}

inline bool eo_cxx::elm::diskselector::round_enabled_get() const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_diskselector_round_enabled_get());
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline void eo_cxx::elm::diskselector::round_enabled_set(bool enabled_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_diskselector_round_enabled_set(::efl::eolian::to_c(enabled_)));
}

inline int eo_cxx::elm::diskselector::display_item_num_get() const
{
   int _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_diskselector_display_item_num_get());
   return _tmp_ret;
}

inline void eo_cxx::elm::diskselector::display_item_num_set(int num_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_diskselector_display_item_num_set(num_));
}

inline ::elm::widget_item eo_cxx::elm::diskselector::first_item_get() const
{
   Elm_Widget_Item * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_diskselector_first_item_get());
   return ::efl::eolian::to_cxx<::elm::widget_item>(_tmp_ret, std::tuple<std::false_type>());
}

inline ::efl::eina::crange_list< Elm_Object_Item * > eo_cxx::elm::diskselector::items_get() const
{
   const Eina_List * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_diskselector_items_get());
   return ::efl::eolian::to_cxx<::efl::eina::crange_list< Elm_Object_Item * >>(_tmp_ret, std::tuple<std::false_type, std::false_type>());
}

inline ::elm::widget_item eo_cxx::elm::diskselector::last_item_get() const
{
   Elm_Widget_Item * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_diskselector_last_item_get());
   return ::efl::eolian::to_cxx<::elm::widget_item>(_tmp_ret, std::tuple<std::false_type>());
}

inline ::elm::widget_item eo_cxx::elm::diskselector::selected_item_get() const
{
   Elm_Widget_Item * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_diskselector_selected_item_get());
   return ::efl::eolian::to_cxx<::elm::widget_item>(_tmp_ret, std::tuple<std::false_type>());
}

inline ::eo_cxx::elm::diskselector::operator ::elm::diskselector() const
{
   return *static_cast<::elm::diskselector const*>(static_cast<void const*>(this));
}

inline ::eo_cxx::elm::diskselector::operator ::elm::diskselector&()
{
   return *static_cast<::elm::diskselector*>(static_cast<void*>(this));
}

inline ::eo_cxx::elm::diskselector::operator ::elm::diskselector const&() const
{
   return *static_cast<::elm::diskselector const*>(static_cast<void const*>(this));
}

template <typename T>
::elm::widget_item elm_diskselector_item_append_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, const char * label_, Evas_Object * icon_, Evas_Smart_Cb func_, const void * data_)
{
   try
      {
         return static_cast<T*>(self->this_)->item_append(::efl::eolian::to_cxx<::efl::eina::string_view>(label_, std::tuple<std::false_type>()), ::efl::eolian::to_cxx<::evas::object>(icon_, std::tuple<std::false_type>()), func_, data_);
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Elm_Widget_Item * _tmp_ret{};
         return ::efl::eolian::to_cxx<::elm::widget_item>(_tmp_ret, std::tuple<std::false_type>());
      }
}

template <typename T>
void elm_diskselector_clear_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         static_cast<T*>(self->this_)->clear();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
int elm_diskselector_side_text_max_length_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->side_text_max_length_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         int _tmp_ret{};
         return _tmp_ret;
      }
}

template <typename T>
void elm_diskselector_side_text_max_length_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, int len_)
{
   try
      {
         static_cast<T*>(self->this_)->side_text_max_length_set(len_);
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
bool elm_diskselector_round_enabled_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->round_enabled_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Eina_Bool _tmp_ret{};
         return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }
}

template <typename T>
void elm_diskselector_round_enabled_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, Eina_Bool enabled_)
{
   try
      {
         static_cast<T*>(self->this_)->round_enabled_set(::efl::eolian::to_cxx<bool>(enabled_, std::tuple<std::false_type>()));
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
int elm_diskselector_display_item_num_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->display_item_num_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         int _tmp_ret{};
         return _tmp_ret;
      }
}

template <typename T>
void elm_diskselector_display_item_num_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, int num_)
{
   try
      {
         static_cast<T*>(self->this_)->display_item_num_set(num_);
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
::elm::widget_item elm_diskselector_first_item_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->first_item_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Elm_Widget_Item * _tmp_ret{};
         return ::efl::eolian::to_cxx<::elm::widget_item>(_tmp_ret, std::tuple<std::false_type>());
      }
}

template <typename T>
::efl::eina::crange_list< Elm_Object_Item * > elm_diskselector_items_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->items_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         const Eina_List * _tmp_ret{};
         return ::efl::eolian::to_cxx<::efl::eina::crange_list< Elm_Object_Item * >>(_tmp_ret, std::tuple<std::false_type, std::false_type>());
      }
}

template <typename T>
::elm::widget_item elm_diskselector_last_item_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->last_item_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Elm_Widget_Item * _tmp_ret{};
         return ::efl::eolian::to_cxx<::elm::widget_item>(_tmp_ret, std::tuple<std::false_type>());
      }
}

template <typename T>
::elm::widget_item elm_diskselector_selected_item_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->selected_item_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Elm_Widget_Item * _tmp_ret{};
         return ::efl::eolian::to_cxx<::elm::widget_item>(_tmp_ret, std::tuple<std::false_type>());
      }
}

namespace efl { namespace eo { namespace detail {

template<>
struct operations< ::elm::diskselector >
{
   template <typename T>
   struct type
         : virtual operations< ::elm::widget >::template type<T>
         , virtual operations< ::elm_interface_scrollable >::template type<T>
         , virtual operations< ::elm_interface_atspi_widget_action >::template type<T>
         , virtual operations< ::evas::clickable_interface >::template type<T>
         , virtual operations< ::evas::scrollable_interface >::template type<T>
         , virtual operations< ::evas::selectable_interface >::template type<T>
   {
      virtual ::elm::widget_item item_append(::efl::eina::string_view label_, ::evas::object icon_, Evas_Smart_Cb func_, const void * data_)
      {
         Elm_Widget_Item * _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_diskselector_item_append(::efl::eolian::to_c(label_), ::efl::eolian::to_c(icon_), func_, data_));
            return ::efl::eolian::to_cxx<::elm::widget_item>(_tmp_ret, std::tuple<std::false_type>());
      }

      virtual void clear()
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_diskselector_clear());
      }

      virtual int side_text_max_length_get()
      {
         int _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_diskselector_side_text_max_length_get());
            return _tmp_ret;
      }

      virtual void side_text_max_length_set(int len_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_diskselector_side_text_max_length_set(len_));
      }

      virtual bool round_enabled_get()
      {
         Eina_Bool _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_diskselector_round_enabled_get());
            return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }

      virtual void round_enabled_set(bool enabled_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_diskselector_round_enabled_set(::efl::eolian::to_c(enabled_)));
      }

      virtual int display_item_num_get()
      {
         int _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_diskselector_display_item_num_get());
            return _tmp_ret;
      }

      virtual void display_item_num_set(int num_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_diskselector_display_item_num_set(num_));
      }

      virtual ::elm::widget_item first_item_get()
      {
         Elm_Widget_Item * _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_diskselector_first_item_get());
            return ::efl::eolian::to_cxx<::elm::widget_item>(_tmp_ret, std::tuple<std::false_type>());
      }

      virtual ::efl::eina::crange_list< Elm_Object_Item * > items_get()
      {
         const Eina_List * _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_diskselector_items_get());
            return ::efl::eolian::to_cxx<::efl::eina::crange_list< Elm_Object_Item * >>(_tmp_ret, std::tuple<std::false_type, std::false_type>());
      }

      virtual ::elm::widget_item last_item_get()
      {
         Elm_Widget_Item * _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_diskselector_last_item_get());
            return ::efl::eolian::to_cxx<::elm::widget_item>(_tmp_ret, std::tuple<std::false_type>());
      }

      virtual ::elm::widget_item selected_item_get()
      {
         Elm_Widget_Item * _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_diskselector_selected_item_get());
            return ::efl::eolian::to_cxx<::elm::widget_item>(_tmp_ret, std::tuple<std::false_type>());
      }

   };
};


template<>
struct operation_description_class_size< ::elm::diskselector >
{
   static constexpr int value = 
#if defined(DISKSELECTOR_PROTECTED) && defined(DISKSELECTOR_BETA)
      12
#elif defined(DISKSELECTOR_PROTECTED)
      12
#elif defined(DISKSELECTOR_BETA)
      12
#else
      12
#endif
      + operation_description_class_size<::elm::widget >::value      + operation_description_class_size<::elm_interface_scrollable >::value      + operation_description_class_size<::elm_interface_atspi_widget_action >::value      + operation_description_class_size<::evas::clickable_interface >::value      + operation_description_class_size<::evas::scrollable_interface >::value      + operation_description_class_size<::evas::selectable_interface >::value;
};

template <typename T>
int initialize_operation_description(::efl::eo::detail::tag<::elm::diskselector>
                                 , Eo_Op_Description* ops)
{
   int i = 0;
   (void)i;
   (void)ops;
   ops[i].func = reinterpret_cast<void*>(& ::elm_diskselector_item_append_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_diskselector_item_append);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_diskselector_clear_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_diskselector_clear);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_diskselector_side_text_max_length_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_diskselector_side_text_max_length_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_diskselector_side_text_max_length_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_diskselector_side_text_max_length_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_diskselector_round_enabled_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_diskselector_round_enabled_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_diskselector_round_enabled_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_diskselector_round_enabled_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_diskselector_display_item_num_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_diskselector_display_item_num_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_diskselector_display_item_num_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_diskselector_display_item_num_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_diskselector_first_item_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_diskselector_first_item_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_diskselector_items_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_diskselector_items_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_diskselector_last_item_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_diskselector_last_item_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_diskselector_selected_item_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_diskselector_selected_item_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   initialize_operation_description<T>(::efl::eo::detail::tag<::elm::widget>(), &ops[operation_description_class_size< ::elm::diskselector >::value]);
   initialize_operation_description<T>(::efl::eo::detail::tag<::elm_interface_scrollable>(), &ops[operation_description_class_size< ::elm::diskselector >::value + operation_description_class_size<::elm::widget>::value]);
   initialize_operation_description<T>(::efl::eo::detail::tag<::elm_interface_atspi_widget_action>(), &ops[operation_description_class_size< ::elm::diskselector >::value + operation_description_class_size<::elm::widget>::value + operation_description_class_size<::elm_interface_scrollable>::value]);
   initialize_operation_description<T>(::efl::eo::detail::tag<::evas::clickable_interface>(), &ops[operation_description_class_size< ::elm::diskselector >::value + operation_description_class_size<::elm::widget>::value + operation_description_class_size<::elm_interface_scrollable>::value + operation_description_class_size<::elm_interface_atspi_widget_action>::value]);
   initialize_operation_description<T>(::efl::eo::detail::tag<::evas::scrollable_interface>(), &ops[operation_description_class_size< ::elm::diskselector >::value + operation_description_class_size<::elm::widget>::value + operation_description_class_size<::elm_interface_scrollable>::value + operation_description_class_size<::elm_interface_atspi_widget_action>::value + operation_description_class_size<::evas::clickable_interface>::value]);
   initialize_operation_description<T>(::efl::eo::detail::tag<::evas::selectable_interface>(), &ops[operation_description_class_size< ::elm::diskselector >::value + operation_description_class_size<::elm::widget>::value + operation_description_class_size<::elm_interface_scrollable>::value + operation_description_class_size<::elm_interface_atspi_widget_action>::value + operation_description_class_size<::evas::clickable_interface>::value + operation_description_class_size<::evas::scrollable_interface>::value]);
   return 0;
}
inline Eo_Class const* get_eo_class(tag<::elm::diskselector>)
{
   return (ELM_DISKSELECTOR_CLASS);
}

} } }

/// @endcond

